店舗のスタッフ一覧取得
GET
/stores/{store_id}/staffs
const url = 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores/example/staffs?limit=20&sort=id&page=1&display=all';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://api.smaregi.dev/TARGET-CONTRACT-ID/waiter/stores/example/staffs?limit=20&sort=id&page=1&display=all' \ --header 'Authorization: Bearer <token>'店舗のスタッフ一覧を取得します
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”store_id
required
string
店舗ID
Query Parameters
Section titled “Query Parameters”limit
integer
取得件数
Example
20sort
string
ソート順
id: スタッフIDname: スタッフ名
パラメータ名:descで降順指定
カンマ区切りで複数指定可能
Example
idpage
integer
ページ番号
Example
1display
string
端末上への表示/非表示設定
display: 表示none: 非表示all: すべて
Example
allResponses
Section titled “Responses”OK
Media typeapplication/json
Array<object>
Staffスタッフ情報
object
id
required
スタッフID
string
name
スタッフ名
string
kana
スタッフ名(カナ)
string
rank
ランク
string
display
端末上の表示/非表示設定
true:表示false:非表示
boolean
Examples
Exampleレスポンス例
[ { "id": "1", "name": "山田", "kana": "ヤマダ", "rank": "店長", "display": true }, { "id": "2", "name": "佐々木", "kana": "ササキ", "rank": "", "display": false }, { "id": "5", "name": "松崎", "kana": "マツザキ", "rank": "アルバイト", "display": true }]Headers
Section titled “Headers”Link
string
<前のURI>; rel="prev", <次のURI>; rel="next"